Subject: [bug#55231] [PATCH v6] initrd: Allow extra search paths with ‘initrd-extra-module-paths’

From: Morgan Arnold <[email-masked]>
Date: Sun, 16 Feb 2025 14:33:14 +0000

Hi Maxim,

Your help is much appreciated! The changes all look good, but there is one thing which is alarming me somewhat. Perhaps I am misunderstanding how the `substitutable-derivation?` function actually operates, but if I apply these patches and then run, say:

```
(use-modules (guix) (gnu) (gnu packages bash))
(define store (open-connection))
(display (substitutable-derivation? (package-derivation store bash-minimal)))
```

it prints `#f`, which seems quite contrary to what I would expect. Oddly enough, despite this, Guix still seems to fetch a substitute for `bash-minimal` from Cuirass. In this sense it doesn't cause a problem, but I don't understand why the above script prints `#f` despite Guix fetching a substitute.

Hopefully this is just a misunderstanding on my part and the changes are actually completely fine.

Best,

Morgan